#
# spec file for package libappindicator
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 1
%define _version 12.10.1+15.04.20141110
%bcond_with mono
%if %{undefined with_mono}
%bcond_without mono
%endif
Name:           libappindicator
Version:        12.10.1+bzr20141110
Release:        7.3
Summary:        Application indicators library
License:        LGPL-2.0 and LGPL-3.0 and GPL-3.0
Group:          System/Libraries
Url:            https://launchpad.net/libappindicator
Source:         http://archive.ubuntu.com/ubuntu/pool/main/liba/%{name}/%{name}_%{_version}.orig.tar.gz
# PATCH-FIX-UPSTREAM 0001_Fix_mono_dir.patch hrvoje.senjan@gmail.com -- Fix location of .pc files.
Patch0:         0001_Fix_mono_dir.patch
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  pkg-config
BuildRequires:  vala
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(dbusmenu-gtk-0.4)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(indicator-0.4)
BuildRequires:  pkgconfig(indicator3-0.4)
BuildRequires:  pkgconfig(pygtk-2.0)
%if %{with mono}
BuildRequires:  pkgconfig(gapi-2.0)
BuildRequires:  pkgconfig(gtk-sharp-2.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(mono-nunit)
%endif

%description
A library to allow applications to export a menu into the Unity Menu bar. Based
on KSNI it also works in KDE and will fallback to generic Systray support if
none of those are available.

%package -n python-appindicator
Summary:        Python 2 bindings for libappindicator
Group:          System/Libraries
Requires:       libappindicator%{soname} = %{version}

%description -n python-appindicator
This package contains the Python 2 bindings for the appindicator library.

%package -n libappindicator%{soname}
Summary:        Application indicators library
Group:          System/Libraries

%description -n libappindicator%{soname}
A library to allow applications to export a menu into the Unity Menu bar. Based
on KSNI it also works in KDE and will fallback to generic Systray support if
none of those are available.

%package -n typelib-1_0-AppIndicator-0_1
Summary:        Application indicators library
Group:          System/Libraries

%description -n typelib-1_0-AppIndicator-0_1
This package contains the GObject Introspection bindings for the appindicator
library.

%package devel
Summary:        Development files for libappindicator
Group:          Development/Libraries/C and C++
Requires:       libappindicator%{soname} = %{version}
Requires:       pkg-config
Requires:       pkgconfig(dbus-glib-1)
Requires:       pkgconfig(dbusmenu-glib-0.4)

%description devel
This package contains the development files for the appindicator library.

%package -n libappindicator3-%{soname}
Summary:        Application indicators library -- GTK+ 3
Group:          System/Libraries

%description -n libappindicator3-%{soname}
A library to allow applications to export a menu into the Unity Menu bar. Based
on KSNI it also works in KDE and will fallback to generic Systray support if
none of those are available.

This package contains the GTK+ 3 version of this library.

%package -n typelib-1_0-AppIndicator3-0_1
Summary:        Application indicators library
Group:          System/Libraries

%description -n typelib-1_0-AppIndicator3-0_1
This package contains the GObject Introspection bindings for the appindicator
library.

%package -n libappindicator3-devel
Summary:        Development files for libappindicator3
Group:          Development/Libraries/C and C++
Requires:       libappindicator3-%{soname} = %{version}
Requires:       pkg-config
Requires:       pkgconfig(dbus-glib-1)
Requires:       pkgconfig(dbusmenu-glib-0.4)

%description -n libappindicator3-devel
This package contains the development files for the appindicator3 library.

%package doc
Summary:        Documentation for libappindicator and libappindicator3
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
This package contains the documentation for the appindicator and appindicator3
libraries.

%if %{with mono}
%package -n appindicator-sharp
Summary:        Application indicators library -- C# assembly CLI
Group:          System/Libraries

%description -n appindicator-sharp
This package provides the appindicator-sharp assembly that allows CLI (.NET)
programs to take menus from applications and place them in the panel.

This package provides assemblies to be used by applications

%package -n appindicator-sharp-devel
Summary:        Development files for libappindicator-sharp
Group:          Development/Libraries/Other
Requires:       appindicator-sharp = %{version}

%description -n appindicator-sharp-devel
This package contains the development files for the appindicator-sharp library.
%endif

%prep
%setup -q -n %{name}-%{_version}
%patch0 -p1

%build
%global _configure ../configure
NOCONFIGURE=1 ./autogen.sh

for ver in 2 3; do
    mkdir build-gtk$ver
    pushd build-gtk$ver
    %configure \
      --disable-static    \
      --enable-gtk-doc    \
      --disable-mono-test \
      --with-gtk=$ver
    make -j1
    popd
done

%install
for ver in 2 3; do
    pushd build-gtk$ver
    %make_install
    popd
done
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{python_sitearch}

%post -n libappindicator%{soname} -p /sbin/ldconfig

%postun -n libappindicator%{soname} -p /sbin/ldconfig

%post -n libappindicator3-%{soname} -p /sbin/ldconfig

%postun -n libappindicator3-%{soname} -p /sbin/ldconfig

%files -n python-appindicator
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%dir %{python_sitearch}/appindicator/
%{python_sitearch}/appindicator/__init__.py*
%{python_sitearch}/appindicator/_appindicator.so
%dir %{_datadir}/pygtk/
%dir %{_datadir}/pygtk/2.0/
%dir %{_datadir}/pygtk/2.0/defs/
%{_datadir}/pygtk/2.0/defs/appindicator.defs

%files -n libappindicator%{soname}
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%{_libdir}/libappindicator.so.%{soname}*

%files -n typelib-1_0-AppIndicator-0_1
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%{_libdir}/girepository-1.0/AppIndicator-0.1.typelib

%files devel
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%dir %{_includedir}/libappindicator-0.1/
%dir %{_includedir}/libappindicator-0.1/libappindicator/
%{_includedir}/libappindicator-0.1/libappindicator/*.h
%{_libdir}/libappindicator.so
%{_libdir}/pkgconfig/appindicator-0.1.pc
%{_datadir}/gir-1.0/AppIndicator-0.1.gir
%{_datadir}/vala/vapi/appindicator-0.1.vapi
%{_datadir}/vala/vapi/appindicator-0.1.deps

%files -n libappindicator3-%{soname}
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%{_libdir}/libappindicator3.so.%{soname}*

%files -n typelib-1_0-AppIndicator3-0_1
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%{_libdir}/girepository-1.0/AppIndicator3-0.1.typelib

%files -n libappindicator3-devel
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%dir %{_includedir}/libappindicator3-0.1/
%dir %{_includedir}/libappindicator3-0.1/libappindicator/
%{_includedir}/libappindicator3-0.1/libappindicator/*.h
%{_libdir}/libappindicator3.so
%{_libdir}/pkgconfig/appindicator3-0.1.pc
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/vala/vapi/appindicator3-0.1.vapi
%{_datadir}/vala/vapi/appindicator3-0.1.deps

%files doc
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%doc %{_datadir}/gtk-doc/html/libappindicator/

%if %{with mono}
%files -n appindicator-sharp
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%dir %{_libdir}/appindicator-sharp-0.1/
%{_libdir}/appindicator-sharp-0.1/appindicator-sharp.dll
%{_libdir}/appindicator-sharp-0.1/appindicator-sharp.dll.config
%{_libdir}/appindicator-sharp-0.1/policy.0.0.appindicator-sharp.config
%{_libdir}/appindicator-sharp-0.1/policy.0.0.appindicator-sharp.dll
%{_libdir}/appindicator-sharp-0.1/policy.0.1.appindicator-sharp.config
%{_libdir}/appindicator-sharp-0.1/policy.0.1.appindicator-sharp.dll
%dir %{_libexecdir}/mono/appindicator-sharp/
%{_libexecdir}/mono/appindicator-sharp/appindicator-sharp.dll
%{_libexecdir}/mono/appindicator-sharp/policy.0.0.appindicator-sharp.dll
%dir %{_libexecdir}/mono/gac/appindicator-sharp/
%dir %{_libexecdir}/mono/gac/appindicator-sharp/*/
%{_libexecdir}/mono/gac/appindicator-sharp/*/appindicator-sharp.dll
%{_libexecdir}/mono/gac/appindicator-sharp/*/appindicator-sharp.dll.config
%dir %{_libexecdir}/mono/gac/policy.0.0.appindicator-sharp/
%dir %{_libexecdir}/mono/gac/policy.0.0.appindicator-sharp/*/
%{_libexecdir}/mono/gac/policy.0.0.appindicator-sharp/*/policy.0.0.appindicator-sharp.config
%{_libexecdir}/mono/gac/policy.0.0.appindicator-sharp/*/policy.0.0.appindicator-sharp.dll

%files -n appindicator-sharp-devel
%defattr(-,root,root)
%doc COPYING COPYING.LGPL.2.1 README
%{_libdir}/pkgconfig/appindicator-sharp-0.1.pc
%endif

%changelog
* Thu Jul  7 2016 t.gruner@katodev.de
- Allow building with mono support in case without mono is set
* Mon Jun 13 2016 sor.alexei@meowr.ru
- Little spec cleanup.
* Tue May  5 2015 sor.alexei@meowr.ru
- Update to 12.10.1+bzr20141110:
  * scroll-event: change parameter to the right type.
- Rebase 0001_Fix_mono_dir.patch.
- Remove no-deprecated.patch: merged upstream.
- Remove dont-build-examples.patch: fixed upstream.
- Minor spec cleanup.
* Thu Mar  5 2015 schwab@suse.de
- Allow building without mono support
* Tue Mar 11 2014 p.drouand@gmail.com
- Fix appindicator-sharp require in appindicator-sharp-devel
* Mon Mar 10 2014 p.drouand@gmail.com
- Fix license; src/generate-id.c is released and distributed under
  GPL-3.0 license
* Fri Mar  7 2014 hrvoje.senjan@gmail.com
- Init libappindicator package
- Add 0001_Fix_mono_dir.patch; fix location of .pc files
- Add dont-build-examples.patch; don't build examples
- Add no-deprecated.patch; don't fail on deprecated declarations
